{% extends 'db410c-android.jinja2' %}
{% set connection_command = 'telnet dispatcher04 7127' %}
{% set adb_serial_number = '358004f' %}
{% set fastboot_serial_number = '358004f' %}

{# OTG power control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub01 -m sync -u 11' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub01 -m off -u 11' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub01 -m off -u 11',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command reboot --port 20 --delay 15',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub01 -m sync -u 11'] %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command on --port 20' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu19 --command off --port 20',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher04-hub01 -m off -u 11'] %}
{% set device_info = [{'board_id': '358004f'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}


{% set sync_to_lava = {'device_type': 'db410c-android', 'worker': 'dispatcher04.lavalab', 'tags': [], 'aliases': []} %}